Arquitectura
 

  Indice Principal INDICE
PRINCIPAL
BUSCAR BUSCAR
MENSAJES
USUARIOS EN LINEA USUARIOS
EN LINEA
Log in ACCESO A
USUARIOS
 
¡Mantente Informado(a)!

Recibe GRATIS una suscripción al "Boletín de Arquitectura" con decenas de ¡noticias, eventos, links de interés y archivos!

Recibirás una copia directamente en tu buzón de correo quincenalmente. Completamente ¡GRATIS!

Nombre::
Apellidos:
Correo Electrónico:
Página Principal: Búsqueda de Información: CAD y 3D:
ayudenme

 



noefc651110
Principiante

Jun 13, 2007, 11:23 AM

Mensaje #1 de 9 (5328 visitas)
Link
ayudenme Responder Citando El Mensaje | Responder

Hola a todos, soy nuevo en la sala y no se mucho de Autocad, si alguien me puede ayudar
necesito pasar todo un dibujo a un solo layer pero conservando las propiedades de cada una
de las entidades como color, tipo de linea, etc.
ME URGE


hk3mcm
Principiante


Jun 22, 2007, 1:14 PM

Mensaje #2 de 9 (5265 visitas)
Link
Re: [noefc651110] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

 
trata de convertir en un bloque todo el dibujo, luego le pones el color , al final lo explotas para poder editarlo mas adelante



noefc651110
Principiante

Jun 23, 2007, 11:22 PM

Mensaje #3 de 9 (5256 visitas)
Link
Re: [hk3mcm] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder


In Reply To
trata de convertir en un bloque todo el dibujo, luego le pones el color , al final lo explotas para poder editarlo mas adelante



De antemano muchas gracias por contestar, puedo hacer bloque todo mi dibujo, para eso no tengo problema, pero como hago para que a la hora de insertarlo en un dibujo nuevo quede en una sola capa y conserve todas sus propiedades, disculpa si no te capte pero te repito soy nuevo en el foro y no se mucho de autocad, agradezco el haberte tomado un tiempo para contestarme, muchas gracias. Frown


kuervo
Principiante

Jun 29, 2007, 7:07 AM

Mensaje #4 de 9 (5231 visitas)
Link
Re: [noefc651110] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

En algun sitio recuerdo que encontre comandos en lisp (lenguaje de programcion que usa autocad) para hacer algo parecido, si lo encuentro te lo posteo aqui mismo.
Pero por lo pronto, si el dibujo no es enorme ni te resulta costo, prueba lo siguiente:
aisla cada capa o selecciona cada tipo distinto de entidad y en propiedades, editales a cada seleccion las propiedades de forma manual, en lugar de color porcapa por ejemplo al mismo color pero no ya de capa sino de objeto.
Repito que segun como sea el dibujo esto puede ser muy costoso.
Pero por ejemplo la orden filter te puede ser de mucha utilidad, aunque no se si la conoces... bueno espero que te sirva lo anterior.
Ciao.


noefc651110
Principiante

Jun 29, 2007, 3:28 PM

Mensaje #5 de 9 (5223 visitas)
Link
Re: [kuervo] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

CUERVO, muchas gracias por tu cometario, fijate que realice un procedimiento como el que me comentas para realizar el trabajo, es decir fui capa por capa pero es un poco tardado, lo de los filtros no se como funciona Unimpressed


kuervo
Principiante

Jul 1, 2007, 11:30 AM

Mensaje #6 de 9 (5208 visitas)
Link
Re: [noefc651110] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

Hola, ya he encontrado el codigo lisp. Cambia el color y tipo de línea de los objetos de porcapa a propio.

Si no sabes como cargar una rutina lisp utiliza la ayuda de autocad, ahi explica como hacerlo, y bueno además es distinto en cada version de autocad, o al menos algo distinto.

En general puede servirte que vayas al menu Herramientas, y busques donde indica Cargar aplicación.

Un archivo lisp, es en realidad un archivo del Bloc de notas de windows con extensión .lsp en lugar de .txt o sea que si quieres revisar el codigo no tienes mas que abrirlo con ese programa o cualquier editor de texto.
Bueno, aclarado este punto, decirte que la rutina no la hice yo, sino un tal Leonid Nemirovsky en 1998 y no la he probado en autocad 2007.
Te pongo el codigo, si quieres el archivo te lo puedo enviar a algun mail, pero es lo mismo que te pongo aqui.
Este es el texto (lo copias y lo pegas en Bloc de notas y lo guardas con el nombre BNT.lsp y lo cargas en autocad):
;
;=================================================================
; BTN Better Than Nothing AutoLISP by Leonid Nemirovsky Jan.1998
; Program will change color and line type of every entity in dwg.
; created by layer to byentity assuming Layer color and layer
; linetype for appropriate entity.
; Version 1.0
;=================================================================

(defun c:bnt (/ ent1 en1 layr col ltyp enl colr ltp)
(princ "\nWorking....Please Wait\n")
(setq ent1 (entnext))
(setq en1 (entget ent1))
(setq layr (cdr (assoc 8 en1)))
(setq col (cdr (assoc 62 en1)))
(setq ltyp (cdr (assoc 6 en1)))
(if
(= col nil)
(progn
(setq enl (tblsearch "layer" layr))
(setq colr (assoc 62 enl))
(setq ltp (assoc 6 enl))
(setq en1 (append en1 (list colr)))
(entmod en1)
)
)
(if
(= ltyp nil)
(progn
(setq enl (tblsearch "layer" layr))
(setq colr (assoc 62 enl))
(setq ltp (assoc 6 enl))
(setq en1 (append en1 (list ltp)))
(entmod en1)
)
)

;...............................................................

(while
(setq ent1 (entnext ent1))
(setq en1 (entget ent1))
(setq layr (cdr (assoc 8 en1)))
(setq col (cdr (assoc 62 en1)))
(setq ltyp (cdr (assoc 6 en1)))
(if
(= col nil)
(progn
(setq enl (tblsearch "layer" layr))
(setq colr (assoc 62 enl))
(setq ltp (assoc 6 enl))
(setq en1 (append en1 (list colr)))
(entmod en1)
)
)
(if
(= ltyp nil)
(progn
(setq enl (tblsearch "layer" layr))
(setq colr (assoc 62 enl))
(setq ltp (assoc 6 enl))
(setq en1 (append en1 (list ltp)))
(entmod en1)
)
)
(princ "\rO\r-")
)

;...............................................................

(command "_regenall")
(princ "\nD O N E")
(princ)
)


noefc651110
Principiante

Jul 2, 2007, 10:30 AM

Mensaje #7 de 9 (5196 visitas)
Link
Re: [kuervo] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

MUCHISISISISISISISISIMAS GRACIAS KUERVO, te agradezco infinitamente por tomarte la molestia de buscar esta rutina, está buenisima y me ahorra un buen de tiempo y de nuevo MUCHAS GRACIAS Smile


kuervo
Principiante

Jul 2, 2007, 2:03 PM

Mensaje #8 de 9 (5191 visitas)
Link
Re: [noefc651110] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

No hay de que. Me alegro que te ahorre tiempo.
El merito es de quien escribio la rutina, tiene unas cuantas y algunas son realmente utiles jojoojo.
Bueno, no más preguntarte con que version de autocad te funcionó o si tuviste que cambiar algo del codigo, sobreentiendo que no hizo falta.
Ciao.


noefc651110
Principiante

Jul 2, 2007, 10:44 PM

Mensaje #9 de 9 (5185 visitas)
Link
Re: [kuervo] ayudenme [En respuesta a ] Responder Citando El Mensaje | Responder

Hola Kuervo, mira la estoy usando con Autocad 2007 y funciona muy bien, no tuve que moverle nada, asi como la enviaste la ocupé y funciona muy bien GRACIA POR ENVIARLA Y GRACIAS A QUIEN LA CREO.

 
 


Buscar en mensajes que contengan (opciones) Archivo v. 1.2.3